<header>
    <div class="field col-12 md:col-4">
        <p-calendar [(ngModel)]="date9" view="month" dateFormat="mm/yy" [readonlyInput]="true" inputId="monthpicker"
            [showIcon]="true">
        </p-calendar> ""
        <p-button label="Search" icon="pi pi-search" [loading]="loading[0]" (onClick)="load(0)"></p-button>
    </div>
</header>
<br><br>

<br><br>

<br>
<p-button class="Repair" *ngFor="let RoomkeyList of Roomkey" (click)="showNewBills(RoomkeyList)"
    icon="pi pi-external-link" label="ห้อง :{{RoomkeyList}} ">
</p-button>

<p-dialog [(visible)]="displayBasic" [style]="{width: '13vw'}">
    ค่าเช่าห้อง : {{RoomPrice}} ฿<br> <br>

    ค่าไฟ :{{electricity}} ฿<br> {{elecafter}} - {{elecbefore}} = {{lastelec}} หน่วย<br><br>

    ค่าน้ำ : {{water}} ฿<br>{{waterafter}} - {{waterbefore}} = {{lastwater}} หน่วย<br>

    ผลรวม : {{SumPrice}} ฿
    <br>
    <br>
    <br>
    <p-selectButton [options]="stateOptions" [(ngModel)]="value2" [multiple]="true" optionLabel="name"
        optionValue="value"></p-selectButton>
    <ng-template pTemplate="footer">
        <p-button icon="pi pi-check" (click)="displayBasic=false" label="บันทึก" styleClass="p-button-text"></p-button>
    </ng-template>
</p-dialog>